Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Contact support
Create a new price book.
cURL
curl --request POST \ --url https://api.hyperline.co/v1/price-books \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "Enterprise pricing", "description": null, "user_role_ids": [] } '
import requests url = "https://api.hyperline.co/v1/price-books" payload = { "name": "Enterprise pricing", "description": None, "user_role_ids": [] } headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.text)
const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: JSON.stringify({name: 'Enterprise pricing', description: null, user_role_ids: []}) }; fetch('https://api.hyperline.co/v1/price-books', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.hyperline.co/v1/price-books", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => json_encode([ 'name' => 'Enterprise pricing', 'description' => null, 'user_role_ids' => [ ] ]), CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>", "Content-Type: application/json" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.hyperline.co/v1/price-books" payload := strings.NewReader("{\n \"name\": \"Enterprise pricing\",\n \"description\": null,\n \"user_role_ids\": []\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer <token>") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.post("https://api.hyperline.co/v1/price-books") .header("Authorization", "Bearer <token>") .header("Content-Type", "application/json") .body("{\n \"name\": \"Enterprise pricing\",\n \"description\": null,\n \"user_role_ids\": []\n}") .asString();
require 'uri' require 'net/http' url = URI("https://api.hyperline.co/v1/price-books") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer <token>' request["Content-Type"] = 'application/json' request.body = "{\n \"name\": \"Enterprise pricing\",\n \"description\": null,\n \"user_role_ids\": []\n}" response = http.request(request) puts response.read_body
{ "id": "prib_DKL4Xcb5VSa8CQ", "name": "Enterprise pricing", "description": null, "user_role_ids": [ "<string>" ], "created_at": "2024-12-20T16:04:11Z", "updated_at": "2024-12-20T16:04:11Z" }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Create price book payload.
Price book name.
"Enterprise pricing"
Price book description.
null
IDs of the user roles that have access to the price book.
The newly created price book.
Price book ID.
"prib_DKL4Xcb5VSa8CQ"
Price book creation date. UTC date time string in the ISO 8601 format.
"2024-12-20T16:04:11Z"
Price book last update date. UTC date time string in the ISO 8601 format.
Was this page helpful?